<p align="center"><a href="https://twillcms.com" target="_blank"><img src="docs/_templates/assets/twill_cms_three_logo_white.png" width="400"></a></p>


<p align="center">
<a href="https://github.com/area17/twill/actions"><img src="https://github.com/area17/twill/actions/workflows/main.yml/badge.svg" alt="Build Status"></a>
<a href="https://packagist.org/packages/area17/twill"><img src="https://poser.pugx.org/area17/twill/v/stable.svg" alt="Latest Stable Version"></a>
<a href="https://packagist.org/packages/area17/twill"><img src="https://poser.pugx.org/area17/twill/d/total.svg" alt="Total Downloads"></a>
<a href="https://packagist.org/packages/area17/twill"><img src="https://poser.pugx.org/area17/twill/license.svg" alt="License"></a>
</p>

# About Twill

Twill is an open source Laravel package that helps developers rapidly create a custom CMS that is beautiful, powerful, and flexible. By standardizing common functions without compromising developer control, Twill makes it easy to deliver a feature-rich admin console that focuses on modern publishing needs.

Twill is an [AREA 17](https://area17.com) product. It was crafted with the belief that content management should be a creative, productive, and enjoyable experience for both publishers and developers.

# Benefits overview

With a vast number of pre-built features and custom-built Vue.js UI components, developers can focus their efforts on the unique aspects of their applications instead of rebuilding standard ones. 

Built to get out of your way, Twill offers:
* No lock-in, create your data models or hook existing ones
* No front-end assumptions, use it within your Laravel app or headless
* No bloat, turn off features you don’t need
* No need to write/adapt HTML for the admin UI
* No limits, extend as you see fit

# Learning Twill
If you use Laravel, you already know Twill. It embraces Laravel to the fullest extent and encourages you to write beautiful code. To get started, read our [documentation](https://twillcms.com/docs). If you'd like to hire us for implementation or support, [contact us](https://twillcms.com/contact). We're here to discuss your plans, evaluate your needs, make recommendations, and give you a full walk-thru of Twill. 

# Credits
Over the last 15 years, nearly every engineer at AREA 17 has contributed to Twill in some capacity. However, Twill in its current form as an open source initiative was created by:

* Quentin Renard, lead application engineer
* Antoine Doury, lead interface engineer
* Antonin Caudron, interface engineer
* Martin Rettenbacher, product designer
* Jesse Golomb, product owner
* George Eid, product manager

With contributions from Laurens van Heems, Fernando Petrelli, Gilbert Moufflet, Mubashar Iqbal, Pablo Barrios, Luis Lavena, and Mike Byrne.

# Contributing
We look forward to your contribution to make Twill the best it can be. You can find our contribution guidelines in the Twill [documentation](https://twillcms.com/docs/#content-contribution-guide).

# Security vulnerabilities
If you discover a security vulnerability within Twill, please email us at [security@twill.io](mailto:security@twill.io). All security vulnerabilities will be promptly addressed.

# License

The Twill software is licensed under the [Apache 2.0 license](https://www.apache.org/licenses/LICENSE-2.0.html). The Twill UI, including but not limited to images, icons, patterns, and derivatives thereof are licensed under the [Creative Commons Attribution 4.0 International License](https://creativecommons.org/licenses/by/4.0/).

# Attribution
By using the Twill UI, you agree that any application which incorporates it shall prominently display the message “Made with Twill” in a legible manner in the footer of the admin console. This message must open a link to [twillcms.com](https://twillcms.com) when clicked or touched. For permission to remove the attribution, contact us at [hello@twill.io](hello@twill.io).

# Trademark
Twill and the Twill logo are trademarks of AREA 17. You may not display or invoke the Twill name or logo in a manner that implies a relationship or affiliation with, sponsorship, promotion, or endorsement by Twill or AREA 17, except as authorized by the terms of attribution. 

Copyright © AREA 17
