<?php
    /*
    |--------------------------------------------------------------------------
    | 5 Steps to Contribute a New Twill Localization at Ease
    |--------------------------------------------------------------------------
    | 1. Find the "lang.csv" under "lang" directory.
    | 2. Import the csv file into a blank Google Sheet.
    | 3. Each column is a language, enter the translation for a column. (tips: feel free to freeze rows and columns).
    | 4. Download the Google Sheet as CSV, replace the original "lang/lang.csv" with the new one.
    | 5. Run the command "php artisan twill:lang" to sync all lang files.
    */


return [
    'auth' => [
        'back-to-login' => 'الرجوع الى تسجيل الدخول',
        'choose-password' => 'اختر كلمة مرور',
        'email' => 'البريد الالكتروني',
        'forgot-password' => 'هل نسيت كلمة السر',
        'login' => 'تسجيل الدخول',
        'login-title' => 'تسجيل الدخول',
        'oauth-link-title' => 'أعد إدخال كلمة المرور الخاصة بك لربط: مزود بحسابك',
        'otp' => 'كلمة المرور لمرة واحدة',
        'password' => 'كلمة المرور',
        'password-confirmation' => 'تأكيد كلمة المرور',
        'reset-password' => 'اعادة تعيين كلمة المرور',
        'reset-send' => 'ارسل رابط عادة تعيين كلمة المرور',
        'verify-login' => 'تحقق من تسجيل الدخول',
    ],
    'buckets' => [
        'intro' => 'ما الذي تود تميزه اليوم؟',
        'none-available' => 'لا توجد عناصر متاحة.',
        'none-featured' => 'لا توجد عناصر مميزة.',
        'publish' => 'نشر',
        'source-title' => 'العناصر المتاحة',
    ],
    'dashboard' => [
        'all-activity' => 'جميع النشاطات',
        'create-new' => 'انشاء جديد',
        'empty-message' => 'ليس لديك أي نشاط حتى الآن.',
        'my-activity' => 'نشاطاتي',
        'my-drafts' => 'مسوداتي',
        'search-placeholder' => 'البحث في كل شيء ...',
        'statitics' => 'الاحصائيات',
        'search' => [
            'loading' => 'تحميل...',
            'no-result' => 'لم يتم العثورعلى نتائج.',
            'last-edit' => 'اخر تعديل',
        ],
        'activities' => [
            'created' => 'تم انشاءه',
            'updated' => 'تم تعديله',
            'unpublished' => 'غير منشور',
            'published' => 'تم نشره',
            'featured' => 'مميز',
            'unfeatured' => 'غير مميز',
            'restored' => 'تم استرجاعه',
            'deleted' => 'تم حذفه',
        ],
        'activity-row' => [
            'edit' => 'تعديل',
            'view-permalink' => 'مشاهدة الرابط الثابت',
            'by' => 'بواسطة',
        ],
        'unknown-author' => 'غير معروف',
    ],
    'dialog' => [
        'cancel' => 'الغاء',
        'ok' => 'موافق',
        'title' => 'نقل الى المهملات',
    ],
    'editor' => [
        'cancel' => 'الغاء',
        'delete' => 'حذف',
        'done' => 'تم',
        'title' => 'محرر المحتوى',
    ],
    'emails' => [
        'all-rights-reserved' => 'كل الحقوق محفوظة.',
        'hello' => 'مرحبا!',
        'problems' => 'اذا كنت تواجه مشكلة في النقر فوق الزر " actionText:" ، فانسخ عنوان URL أدناه والصقه في متصفح الويب لديك: [:url](:url)',
        'regards' => 'خالص تحياتي،',
    ],
    'fields' => [
        'block-editor' => [
            'add-content' => 'اضافة محتوى',
            'collapse-all' => 'اغلاق الجميع',
            'create-another' => 'إنشاء آخر',
            'delete' => 'حذف',
            'expand-all' => 'توسيع الجميع',
            'loading' => 'تحميل',
            'open-in-editor' => 'فتح في المحرر',
            'preview' => 'معاينة',
            'add-item' => 'اضافة عنصر',
            'clone-block' => 'استنساخ المجموعة',
        ],
        'browser' => [
            'add-label' => 'اضافة',
            'attach' => 'ارفاق',
        ],
        'files' => [
            'add-label' => 'اضافة',
        ],
        'generic' => [
            'switch-language' => 'تغيير اللغة',
        ],
        'map' => [
            'hide' => 'اخفاء&nbsp;الخريطة',
            'show' => 'اظهار&nbsp;الخريطة',
        ],
        'medias' => [
            'btn-label' => 'ارفاق صورة',
            'crop' => 'قص',
            'crop-edit' => 'تعديل اقتصاص الصورة',
            'crop-list' => 'قص',
            'crop-save' => 'تعديل',
            'delete' => 'حذف',
            'download' => 'تنزيل',
            'edit-close' => 'اغلاق التفاصيل',
            'edit-info' => 'تعديل التفاصيل',
            'original-dimensions' => 'الاصلي',
            'alt-text' => 'جميع النص',
            'caption' => 'التسمية التوضيحية',
            'video-url' => 'عنوان URL للفيديو (اختياري)',
        ],
    ],
    'filter' => [
        'apply-btn' => 'تقديم',
        'clear-btn' => 'ازالة',
        'search-placeholder' => 'بحث',
        'toggle-label' => 'فلتر',
    ],
    'footer' => [
        'version' => 'الاصدار',
    ],
    'form' => [
        'content' => 'المحتوى',
        'dialogs' => [
            'delete' => [
                'confirm' => 'حذف',
                'confirmation' => 'هل انت متأكد؟ <br /> لا يمكن التراجع عن هذا التغيير.',
                'delete-content' => 'حذف محتوى',
                'title' => 'حذف محتوى',
            ],
        ],
        'editor' => 'المحرر',
    ],
    'lang-manager' => [
        'published' => 'نشط',
    ],
    'lang-switcher' => [
        'edit-in' => 'حُرر في',
    ],
    'listing' => [
        'add-new-button' => 'اضافة جديد',
        'bulk-actions' => 'مجموعة عمليات',
        'bulk-clear' => 'ازالة',
        'columns' => [
            'featured' => 'متميز',
            'name' => 'الاسم',
            'published' => 'تم نشره',
            'show' => 'اظهار',
            'thumbnail' => 'الطرف',
        ],
        'dialogs' => [
            'delete' => [
                'confirm' => 'حذف',
                'disclaimer' => 'لن يتم حذف العنصر ولكن سيتم نقله إلى المهملات.',
                'move-to-trash' => 'نقل الى سلة المحذوفات',
                'title' => 'حذف عنصر',
            ],
            'destroy' => [
                'confirm' => 'اتلاف',
                'destroy-permanently' => 'اتلاف بشكل دائم',
                'disclaimer' => 'لن تتمكن من استعادة العنصر بعد الآن.',
                'title' => 'اتلاف عنصر',
            ],
        ],
        'dropdown' => [
            'delete' => 'حذف',
            'destroy' => 'اتلاف',
            'duplicate' => 'نسخ',
            'edit' => 'تعديل',
            'publish' => 'نشر',
            'feature' => 'مميز',
            'restore' => 'استرجاع',
            'unfeature' => 'غير مميز',
            'unpublish' => 'غير منشور',
        ],
        'filter' => [
            'all-items' => 'جميع العناصر',
            'draft' => 'مسودة',
            'mine' => 'الخاص بي',
            'published' => 'تم نشره',
            'trash' => 'المهملات',
        ],
        'languages' => 'اللغات',
        'listing-empty-message' => 'لا يوجد اي عنصر هنا الى الان',
        'paginate' => [
            'rows-per-page' => 'الاسطر في كل صفحة',
        ],
        'bulk-selected-item' => 'عنصر محدد',
        'bulk-selected-items' => 'العناصر المحددة',
        'reorder' => [
            'success' => ':modelTitle تم تغيير ترتيب!',
            'error' => ':modelTitle لم يتغير الطلب. حدث شيء خطأ!',
        ],
        'restore' => [
            'success' => ':modelTitle مسترجع!',
            'error' => ':modelTitle لم تتم استعادته. حدث شيء خطأ!',
        ],
        'bulk-restore' => [
            'success' => ':modelTitle تمت استعادة العناصر!',
            'error' => ':modelTitle لم تتم استعادة العناصر. حدث شيء خطأ!',
        ],
        'force-delete' => [
            'success' => ':modelTitle تم اتلافه!',
            'error' => ':modelTitle لم يتم اتلافه. حدث شيء خطأ!',
        ],
        'bulk-force-delete' => [
            'success' => ':modelTitle العناصر تمت اتلافها!',
            'error' => ':modelTitle لم يتم إتلاف العناصر. حدث شيء خطأ!',
        ],
        'delete' => [
            'success' => ':modelTitle نقل إلى سلة المهملات!',
            'error' => ':modelTitle لم يتم نقله إلى سلة المهملات. حدث شيء خطأ!',
        ],
        'bulk-delete' => [
            'success' => ':modelTitle تم نقل العناصر إلى سلة المهملات!',
            'error' => ':modelTitle لم يتم نقل العناصر إلى المهملات. حدث شيء خطأ!',
        ],
        'duplicate' => [
            'success' => ':modelTitle تم نسخها بنجاح!',
            'error' => ':modelTitle لم يتكرر. حدث شيء خطأ!',
        ],
        'publish' => [
            'unpublished' => ':modelTitle غير منشورة!',
            'published' => ':modelTitle نشرت!',
            'error' => ':modelTitle لم تنشر. حدث شيء خطأ!',
        ],
        'featured' => [
            'unfeatured' => ':modelTitle غير مميز!',
            'featured' => ':modelTitle متميز!',
            'error' => ':modelTitle لم يظهر. حدث شيء خطأ!',
        ],
        'bulk-featured' => [
            'unfeatured' => ':modelTitle عناصر غير مميزة!',
            'featured' => ':modelTitle العناصر المميزة!',
            'error' => ':modelTitle لم يتم عرض العناصر. حدث شيء خطأ!',
        ],
        'bulk-publish' => [
            'unpublished' => ':modelTitle عناصر غير منشورة!',
            'published' => ':modelTitle العناصر المنشورة!',
            'error' => ':modelTitle لم يتم نشر من العناصر. حدث شيء خطأ!',
        ],
    ],
    'main' => [
        'create' => 'انشاء',
        'draft' => 'مسودة',
        'published' => 'نشط',
        'title' => 'العنوان',
        'update' => 'تعديل',
    ],
    'media-library' => [
        'files' => 'الملفات',
        'filter-select-label' => 'فلتر عن طريق الوسم',
        'images' => 'الصور',
        'insert' => 'ادخال',
        'sidebar' => [
            'alt-text' => 'جميع النص',
            'caption' => 'التسمية التوضيحية',
            'clear' => 'ازالة',
            'dimensions' => 'الابعاد',
            'empty-text' => 'لا يوجد ملف محدد',
            'files-selected' => 'الملفات المحددة',
            'tags' => 'الوسوم',
        ],
        'title' => 'الوسائط',
        'update' => 'تعديل',
        'unused-filter-label' => 'اظهار غير المستخدمة فقط',
        'no-tags-found' => 'آسف ، لا توجد علامات.',
        'dialogs' => [
            'delete' => [
                'delete-media-title' => 'حذف الوسائط',
                'delete-media-desc' => 'هل أنت متأكد؟ <br /> لا يمكن التراجع عن هذا التغيير.',
                'delete-media-confirm' => 'حذف',
                'title' => 'هل أنت متأكد ؟',
                'allow-delete-multiple-medias' => 'بعض الملفات مستخدمة ولا يمكن حذفها. هل تريد حذف الآخرين؟',
                'allow-delete-one-media' => 'هذا الملف مستخدم ولا يمكن حذفه. هل تريد حذف الآخرين؟',
                'dont-allow-delete-multiple-medias' => 'هذه الملفات مستخدمة ولا يمكن حذفها.',
                'dont-allow-delete-one-media' => 'هذا الملف مستخدم ولا يمكن حذفه.',
            ],
            'replace' => [
                'replace-media-title' => 'استبدل الوسائط',
                'replace-media-desc' => 'هل أنت متأكد؟ <br /> لا يمكن التراجع عن هذا التغيير.',
                'replace-media-confirm' => 'استبدل',
            ],
        ],
        'types' => [
            'single' => [
                'image' => 'صورة',
                'video' => 'فيديو',
                'file' => 'ملف',
            ],
            'multiple' => [
                'image' => 'صور',
                'video' => 'فيديو',
                'file' => 'ملفات',
            ],
        ],
    ],
    'modal' => [
        'create' => [
            'button' => 'انشاء',
            'create-another' => 'انشاء و اضافة جديد',
            'title' => 'اضافة جديد',
        ],
        'permalink-field' => 'الرابط الثابت',
        'title-field' => 'العنوان',
        'update' => [
            'button' => 'تعديل',
            'title' => 'تعديل',
        ],
        'done' => [
            'button' => 'تم',
        ],
    ],
    'nav' => [
        'admin' => 'المشرف',
        'cms-users' => 'مستخدمين CMS',
        'logout' => 'تسجيل الخروج',
        'media-library' => 'الوسائط',
        'settings' => 'الاعدادات',
        'close-menu' => 'اغلاق القائمة',
    ],
    'notifications' => [
        'reset' => [
            'action' => 'اعادة تعيين كلمة المرور',
            'content' => 'أنت تتلقى هذا البريد الإلكتروني لأننا تلقينا إعادة تعيين كلمة المرور. إذا لم تطلب إعادة تعيين كلمة المرور ، فلا داعي لاتخاذ أي إجراء آخر.',
            'subject' => ':appName | إعادة تعيين كلمة المرور',
        ],
        'welcome' => [
            'action' => 'اختر كلمة المرور الخاصة بك',
            'content' => 'أنت تتلقى هذا البريد الإلكتروني لأنه تم إنشاء حساب لك على :name.',
            'title' => 'مرحبا',
            'subject' => ':appName | مرحبا',
        ],
    ],
    'overlay' => [
        'close' => 'اغلاق',
    ],
    'previewer' => [
        'compare-view' => 'قارن العرض',
        'current-revision' => 'الحالي',
        'editor' => 'المحرر',
        'last-edit' => 'اخر تعديل',
        'past-revision' => 'السابق',
        'restore' => 'استرجاع',
        'revision-history' => 'مراجعة التاريخ',
        'single-view' => 'عرض واحد',
        'title' => 'معاينة التغييرات',
        'unsaved' => 'المعاينة مع تغييراتك غير المحفوظة',
        'drag-and-drop' => 'سحب وإسقاط المحتوى من القائمة اليسرى',
    ],
    'publisher' => [
        'cancel' => 'الغاء',
        'current' => 'الحالي',
        'end-date' => 'تاريخ الانتهاء',
        'immediate' => 'فوري',
        'languages' => 'اللغات',
        'languages-published' => 'نشط',
        'last-edit' => 'اخر تعديل',
        'preview' => 'معاينة التغييرات',
        'publish' => 'نشر',
        'publish-close' => 'نشر واغلاق',
        'publish-new' => 'نشر وانشاء جديد',
        'published-on' => 'نشرت في',
        'restore-draft' => 'استعادة كمسودة',
        'restore-draft-close' => 'استعادة كمسودة وإغلاق',
        'restore-draft-new' => 'استعادة كمسودة وإنشاء جديد',
        'restore-live' => 'استعادة كما نشرت',
        'restore-live-close' => 'استعادة كما نشرت وإغلاق',
        'restore-live-new' => 'استعادة ما تم نشره وإنشاء جديد',
        'restore-message' => 'أنت تقوم حاليًا بتحرير نسخة أقدم من هذا المحتوى (تم حفظها بواسطة: المستخدم في:date). قم بإجراء التغييرات إذا لزم الأمر وانقر فوق استعادة لحفظ نسخة جديدة.',
        'restore-success' => 'تمت استعادة المراجعة.',
        'revisions' => 'التنقيحات',
        'save' => 'حفظ كمسودة',
        'save-close' => 'حفظ كمسودة وإغلاق',
        'save-new' => 'حفظ كمسودة وإنشاء جديد',
        'save-success' => 'تم حفظ المحتوى. الامور جيدة!',
        'start-date' => 'تاريخ البدء',
        'switcher-title' => 'الحالة',
        'update' => 'تعديل',
        'update-close' => 'تعديل و اغلاق',
        'update-new' => 'تعديل و انشاء جديد',
        'parent-page' => 'الصفحة الأصل',
        'review-status' => 'مراجعة الحالة',
        'visibility' => 'الرؤية',
    ],
    'select' => [
        'empty-text' => 'آسف ، لا توجد خيارات مطابقة.',
    ],
    'uploader' => [
        'dropzone-text' => 'أو قم بإسقاط ملفات جديدة هنا',
        'upload-btn-label' => 'اضافة جديد',
    ],
    'user-management' => [
        '2fa' => 'المصادقة الثنائية',
        '2fa-description' => 'يرجى مسح رمز الاستجابة السريعة هذا ضوئيًا باستخدام تطبيق متوافق مع Google Authenticator وإدخال كلمة مرورك لمرة واحدة أدناه قبل الإرسال. شاهد قائمة بالتطبيقات المتوافقة <a href=":link" target="_blank" rel="noopener"> هنا </a>.',
        '2fa-disable' => 'أدخل كلمة المرور لمرة واحدة لتعطيل المصادقة الثنائية',
        'active' => 'مفعل',
        'cancel' => 'الغاء',
        'content-fieldset-label' => 'اعدادات المستخدم',
        'description' => 'الوصف',
        'disabled' => 'معطل',
        'edit-modal-title' => 'تعديل اسم المستخدم',
        'email' => 'البريد الالكتروني',
        'enable-user' => 'تفعيل المستخدم',
        'enable-user-and-close' => 'تفعيل المستخدم و اغلاق',
        'enable-user-and-create-new' => 'تفعيل المستخدم وانشاء جديد',
        'enabled' => 'مفعل',
        'language' => 'اللغة',
        'language-placeholder' => 'اخر لغة',
        'name' => 'الاسم',
        'otp' => 'كلمة المرور لمرة واحدة',
        'profile-image' => 'صورة الملف الشخصي',
        'role' => 'الوظيفة',
        'role-placeholder' => 'اختيار وظيفة',
        'title' => 'العنوان',
        'trash' => 'المهملات',
        'update' => 'تعديل',
        'update-and-close' => 'تعديل و اغلاق',
        'update-and-create-new' => 'تعديل و انشاء جديد',
        'update-disabled-and-close' => 'تعديل التعطيل وإغلاق',
        'update-disabled-user' => 'تعديل المستخدم المعطل',
        'update-disabled-user-and-create-new' => 'تعديل المستخدم المعطل و انشاء جديد',
        'user-image' => 'صورة',
        'users' => 'المستخدمين',
    ],
    'settings' => [
        'update' => 'تعديل',
        'cancel' => 'الغاء',
        'fieldset-label' => 'تعديل الاعدادات',
    ],
];
