<?php
    /*
    |--------------------------------------------------------------------------
    | 5 Steps to Contribute a New Twill Localization at Ease
    |--------------------------------------------------------------------------
    | 1. Find the "lang.csv" under "lang" directory.
    | 2. Import the csv file into a blank Google Sheet.
    | 3. Each column is a language, enter the translation for a column. (tips: feel free to freeze rows and columns).
    | 4. Download the Google Sheet as CSV, replace the original "lang/lang.csv" with the new one.
    | 5. Run the command "php artisan twill:lang" to sync all lang files.
    */


return [
    'auth' => [
        'back-to-login' => 'Zpět na přihlášení',
        'choose-password' => 'Vyberte heslo',
        'email' => 'E-mail',
        'forgot-password' => 'Zapomněli jste heslo?',
        'login' => 'Přihlášení',
        'login-title' => 'Přihlášení',
        'oauth-link-title' => 'Zadejte znovu heslo, abyste ke svému účtu připojili :provider',
        'otp' => 'Jednorázové heslo',
        'password' => 'Heslo',
        'password-confirmation' => 'Potvrzení hesla',
        'reset-password' => 'Obnovení hesla',
        'reset-send' => 'Odeslat odkaz pro obnovení hesla',
        'verify-login' => 'Ověřit přihlášení',
    ],
    'buckets' => [
        'intro' => 'Co byste rádi nabízeli jako doporučené?',
        'none-available' => 'Žádné položky k dispozici.',
        'none-featured' => 'Žádné doporučené položky.',
        'publish' => 'Publikovat',
        'source-title' => 'Dostupné položky',
    ],
    'dashboard' => [
        'all-activity' => 'Veškerá aktivita',
        'create-new' => 'Vytvořit nový',
        'empty-message' => 'Nemáte zatím žádnou zaznamenanou aktivitu.',
        'my-activity' => 'Moje aktivita',
        'my-drafts' => 'Moje koncepty',
        'search-placeholder' => 'Hledat všude...',
        'statitics' => 'Statistiky',
        'search' => [
            'loading' => 'Načítání…',
            'no-result' => 'Nebyly nalezeny žádné výsledky.',
            'last-edit' => 'Poslední úprava',
        ],
        'activities' => [
            'created' => 'Vytvořeno',
            'updated' => 'Upraveno',
            'unpublished' => 'Nepublikováno',
            'published' => 'Publikováno',
            'featured' => 'Doporučené',
            'unfeatured' => 'Neoznačené',
            'restored' => 'Obnoveno',
            'deleted' => 'Smazáno',
        ],
        'activity-row' => [
            'edit' => 'Upravit',
            'view-permalink' => 'Zobrazit trvalý odkaz',
            'by' => 'podle',
        ],
        'unknown-author' => 'Neznámý',
    ],
    'dialog' => [
        'cancel' => 'Zrušit',
        'ok' => 'OK',
        'title' => 'Přesunout do koše',
    ],
    'editor' => [
        'cancel' => 'Zrušit',
        'delete' => 'Smazat',
        'done' => 'Hotovo',
        'title' => 'Editor obsahu',
    ],
    'emails' => [
        'all-rights-reserved' => 'Všechna práva vyhrazena.',
        'hello' => 'Dobrý den!',
        'problems' => 'Pokud máte problém s kliknutím na tlačítko ":actionText", zkopírujte URL níže a vložte ji do adresní řádky svého prohlížeče: [:url](:url)',
        'regards' => 'S pozdravem',
    ],
    'fields' => [
        'block-editor' => [
            'add-content' => 'Přidat obsah',
            'collapse-all' => 'Sbalit vše',
            'create-another' => 'Vytvořit další',
            'delete' => 'Smazat',
            'expand-all' => 'Rozbalit vše',
            'loading' => 'Načítání',
            'open-in-editor' => 'Otevřít v editoru',
            'preview' => 'Náhled',
            'add-item' => 'Přidat obsah',
            'clone-block' => 'Duplikovat obsah',
        ],
        'browser' => [
            'add-label' => 'Přidat',
            'attach' => 'Přiložit',
        ],
        'files' => [
            'add-label' => 'Přidat',
        ],
        'generic' => [
            'switch-language' => 'Přepnout jazyk',
        ],
        'map' => [
            'hide' => 'Skrýt&nbsp;mapu',
            'show' => 'Ukázat&nbsp;mapu',
        ],
        'medias' => [
            'btn-label' => 'Přiložit obrázek',
            'crop' => 'Ořezat',
            'crop-edit' => 'Upravit ořez obrázku',
            'crop-list' => 'ořezat',
            'crop-save' => 'Aktualizovat',
            'delete' => 'Smazat',
            'download' => 'Stáhnout',
            'edit-close' => 'Zavřít podrobnosti',
            'edit-info' => 'Upravit podrobnosti',
            'original-dimensions' => 'Původní rozměry',
            'alt-text' => 'Alternativní text',
            'caption' => 'Popisek',
            'video-url' => 'URL videa (volitelné)',
        ],
    ],
    'filter' => [
        'apply-btn' => 'Použít',
        'clear-btn' => 'Vymazat',
        'search-placeholder' => 'Hledat',
        'toggle-label' => 'Filtrovat',
    ],
    'footer' => [
        'version' => 'Verze',
    ],
    'form' => [
        'content' => 'Obsah',
        'dialogs' => [
            'delete' => [
                'confirm' => 'Smazat',
                'confirmation' => 'Jste si jistí?<br />Tento krok nemůžete vzít zpět.',
                'delete-content' => 'Smazat obsah',
                'title' => 'Smazat obsah',
            ],
        ],
        'editor' => 'Editor',
    ],
    'lang-manager' => [
        'published' => 'Publikováno',
    ],
    'lang-switcher' => [
        'edit-in' => 'Editovat v',
    ],
    'listing' => [
        'add-new-button' => 'Přidat nový',
        'bulk-actions' => 'Hromadné akce',
        'bulk-clear' => 'Vymazat',
        'columns' => [
            'featured' => 'Doporučené',
            'name' => 'Jméno',
            'published' => 'Publikované',
            'show' => 'Ukázat',
            'thumbnail' => 'Náhled',
        ],
        'dialogs' => [
            'delete' => [
                'confirm' => 'Smazat',
                'disclaimer' => 'Položka nebude odstraněna, ale přesunuta do koše.',
                'move-to-trash' => 'Přesunutí do koše',
                'title' => 'Smazat',
            ],
            'destroy' => [
                'confirm' => 'Zničit',
                'destroy-permanently' => 'Zničit navždy',
                'disclaimer' => 'Položku nebude možné znovu obnovit.',
                'title' => 'Zničit položku',
                'cancel' => 'Zavřít',
            ],
            'cancel' => 'Zavřít',
        ],
        'dropdown' => [
            'delete' => 'Smazat',
            'destroy' => 'Zničit',
            'duplicate' => 'Duplikovat',
            'edit' => 'Editovat',
            'publish' => 'Publish',
            'feature' => 'Feature',
            'restore' => 'Obnovit',
            'unfeature' => 'Odebrat z doporučených',
            'unpublish' => 'Vzít zpět publikování',
        ],
        'filter' => [
            'all-items' => 'Všechny položky',
            'draft' => 'Koncepty',
            'mine' => 'Moje',
            'published' => 'Publikované',
            'trash' => 'Koš',
        ],
        'languages' => 'Jazyky',
        'listing-empty-message' => 'Není zde zatím žádná položka.',
        'paginate' => [
            'rows-per-page' => 'Řádků na stránku:',
        ],
        'reorder' => [
            'success' => 'Pořadí upraveno.',
            'error' => 'Pořadí nebylo upraveno. Něco se nepovedlo!',
        ],
        'restore' => [
            'success' => 'Obnoveno.',
            'error' => 'Položka nebyla obnovena. Něco se nepovedlo!',
        ],
        'bulk-restore' => [
            'success' => 'Položky obnoveny!',
            'error' => 'Položky nebyly obnoveny. Něco se nepovedlo!',
        ],
        'force-delete' => [
            'success' => 'Položka odstraněna.',
            'error' => 'Položku se nepodařilo odstranit. Něco se nepovedlo!',
        ],
        'bulk-force-delete' => [
            'success' => 'Položky úspěšně smazány.',
            'error' => 'Položky se nepodařilo odstranit. Něco se nepovedlo!',
        ],
        'delete' => [
            'success' => 'Položka byla přesunuta do koše.',
            'error' => 'Položku se nepodařilo přesunout do koše. Něco se nepovedlo!',
        ],
        'bulk-delete' => [
            'success' => 'Položky byly přesunuty do koše.',
            'error' => 'Položky se nepodařilo přesunout do koše. Něco se nepovedlo!',
        ],
        'duplicate' => [
            'success' => 'Položka úspěšně duplikována!',
            'error' => 'Položku se nepodařilo duplikovat. Něco se nepovedlo!',
        ],
        'publish' => [
            'unpublished' => 'Publikování bylo zrušeno.',
            'published' => 'Položka publikována.',
            'error' => 'Položka nebyla publikována. Něco se nepovedlo!',
        ],
        'featured' => [
            'unfeatured' => 'Položka odebrána z doporučených.',
            'featured' => 'Položka přidána do doporučených.',
            'error' => 'Položka se nepodařilo přidat do doporučených. Něco se nepovedlo!',
        ],
        'bulk-featured' => [
            'unfeatured' => 'Položky odebrány z doporučených.',
            'featured' => 'Položky přidány do doporučených.',
            'error' => 'Položky se nepodařilo přidat do doporučených. Něco se nepovedlo!',
        ],
        'bulk-publish' => [
            'unpublished' => 'Publikování položek bylo zrušeno.',
            'published' => 'Položky byly publikovány.',
            'error' => 'Položky se nepodařilo publikovat. Něco se nepovedlo!',
        ],
    ],
    'main' => [
        'create' => 'Vytvořit',
        'draft' => 'Koncept',
        'published' => 'Publikováno',
        'title' => 'Nadpis',
        'update' => 'Aktualizovat',
    ],
    'media-library' => [
        'files' => 'Soubory',
        'filter-select-label' => 'Filtrovat podle štítku',
        'images' => 'Obrázku',
        'insert' => 'Vložit',
        'sidebar' => [
            'alt-text' => 'Alternativní text',
            'caption' => 'Popisek',
            'clear' => 'Vymazat',
            'dimensions' => 'Rozměry',
            'empty-text' => 'Nebyl vybrán žádný soubor',
            'files-selected' => 'vybraných souborů',
            'tags' => 'Štítky',
        ],
        'title' => 'Knihovna médií',
        'update' => 'Aktualizovat',
        'unused-filter-label' => 'Ukázat jen nepoužité',
        'no-tags-found' => 'Nebyly nalezeny žádné štítky.',
        'dialogs' => [
            'delete' => [
                'delete-media-title' => 'Smazání souboru',
                'delete-media-desc' => 'Jste si jistí?<br />Tuto změnu nelze vrátit zpět.',
                'delete-media-confirm' => 'Smazat',
                'title' => 'Jste si jistí?',
                'allow-delete-multiple-medias' => 'Některé soubory se používají a nelze je odstranit. Chcete odstranit ostatní ?',
                'allow-delete-one-media' => 'Tento soubor je používán a nelze jej odstranit. Chcete odstranit ostatní ?',
                'dont-allow-delete-multiple-medias' => 'Tyto soubory se používají a nelze je odstranit.',
                'dont-allow-delete-one-media' => 'Tento soubor je používán a nelze jej odstranit.',
            ],
            'replace' => [
                'replace-media-title' => 'Nahrazení souboru',
                'replace-media-desc' => 'Jste si jistí?<br />Tuto změnu nelze vrátit zpět.',
                'replace-media-confirm' => 'Nahradit',
            ],
        ],
        'types' => [
            'single' => [
                'image' => 'obrázek',
                'video' => 'video',
                'file' => 'soubor',
            ],
            'multiple' => [
                'image' => 'obrázky',
                'video' => 'videa',
                'file' => 'soubory',
            ],
        ],
    ],
    'modal' => [
        'create' => [
            'button' => 'Vytvořit',
            'create-another' => 'Vytvořit a přidat další',
            'title' => 'Přidat nový',
        ],
        'permalink-field' => 'Trvalý odkaz',
        'title-field' => 'Nadpis',
        'update' => [
            'button' => 'Aktualizovat',
            'title' => 'Aktualizovat',
        ],
        'done' => [
            'button' => 'Hotovo',
        ],
    ],
    'nav' => [
        'admin' => 'Admin',
        'cms-users' => 'Uživatelé',
        'logout' => 'Odhlásit se',
        'media-library' => 'Knihovna médií',
        'settings' => 'Nastavení',
        'close-menu' => 'Zavřít menu',
    ],
    'notifications' => [
        'reset' => [
            'action' => 'Obnovit heslo',
            'content' => 'Tento e-mail jste obdrželi, jelikož jsme zaznamenali žádost o obnovení hesla. Pokud jste o obnovení hesla nepožádali, není nutná žádná další akce.',
            'subject' => ':appName | Obnovení hesla',
        ],
        'welcome' => [
            'action' => 'Vytvořte si své vlastní heslo',
            'content' => 'Obdrželi jste tento e-mail, protože byl pro Vás vytvořen účet na jméno :name.',
            'title' => 'Vítejte',
            'subject' => ':appName | Vítejte',
        ],
    ],
    'overlay' => [
        'close' => 'Zavřít',
    ],
    'previewer' => [
        'compare-view' => 'Porovnat zobrazení',
        'current-revision' => 'Aktuální',
        'editor' => 'Editor',
        'last-edit' => 'Poslední úprava',
        'past-revision' => 'Minulé revize',
        'restore' => 'Obnovit',
        'revision-history' => 'Historie verzí',
        'single-view' => 'Jednoduché zobrazení',
        'title' => 'Náhled změn',
        'unsaved' => 'Náhled bez uložení',
        'drag-and-drop' => 'Přetáhněte obsah z levého menu',
    ],
    'publisher' => [
        'cancel' => 'Zrušit',
        'current' => 'Aktuální',
        'end-date' => 'Poslední datum',
        'immediate' => 'Okamžitý',
        'languages' => 'Jazyky',
        'languages-published' => 'Živě',
        'last-edit' => 'Naposledy upraveno',
        'preview' => 'Náhled změn',
        'publish' => 'Publikováno',
        'publish-close' => 'Publikovat a zavřít',
        'publish-new' => 'Publikovat a vytvořit nový',
        'published-on' => 'Publikováno',
        'restore-draft' => 'Obnovit jako koncept',
        'restore-draft-close' => 'Obnovit jako koncept a zavřít',
        'restore-draft-new' => 'Obnovit jako koncept a vytvořit nový',
        'restore-live' => 'Obnovit jako publikované',
        'restore-live-close' => 'Obnovit jako publikované a zavřít',
        'restore-live-new' => 'Obnovit jako publikované a vytvořit nové',
        'restore-message' => 'Právě upravujete starší verzi tohoto obsahu (uloženo :date uživatelem :user). Proveďte nutné změny a klikněte tlačítko obnovit, abyste uložili novou revizi.',
        'restore-success' => 'Revize obnovena.',
        'revisions' => 'Revize',
        'save' => 'Uložit jako koncept',
        'save-close' => 'Uložit jako koncept a zavřít',
        'save-new' => 'Uložit jako koncept a vytvořit nový',
        'save-success' => 'Obsah uložen. Všechno v pořádku!',
        'start-date' => 'Počáteční datum',
        'switcher-title' => 'Stav',
        'update' => 'Aktualizovat',
        'update-close' => 'Aktualizovat a zavřít',
        'update-new' => 'Aktualizovat a vytvořit nové',
        'parent-page' => 'Nadřazená stránka',
        'review-status' => 'Stav kontroly',
        'visibility' => 'Viditelnost',
    ],
    'select' => [
        'empty-text' => 'Omlouvám se, žádná shoda.',
    ],
    'uploader' => [
        'dropzone-text' => 'nebo přetáhněte soubory sem',
        'upload-btn-label' => 'Přidat',
    ],
    'user-management' => [
        '2fa' => 'Dvoufázové ověření',
        '2fa-description' => 'Před odesláním prosím naskenujte tento QR kód pomocí aplikace kompatibilní s Google Authenticator a zadejte níže uvedené jednorázové heslo. Seznam kompatibilních aplikací <a href=":link" target="_blank" rel="noopener">můžete najít zde</a>.',
        '2fa-disable' => 'Zadejte své jednorázové heslo pro deaktivování dvoufaktorového ověření',
        'active' => 'Aktivní',
        'cancel' => 'Zrušit',
        'content-fieldset-label' => 'Uživatelské nastavení',
        'description' => 'Popis',
        'disabled' => 'Zakázáno',
        'edit-modal-title' => 'Upravit uživatelské jméno',
        'email' => 'E-mail',
        'enable-user' => 'Povolit uživatele',
        'enable-user-and-close' => 'Povolit uživatele a zavřít',
        'enable-user-and-create-new' => 'Povolit uživatele a vytvořit nového',
        'enabled' => 'Povolen',
        'language' => 'Jazyk',
        'language-placeholder' => 'Vyberte jazyk',
        'name' => 'Jméno',
        'otp' => 'Jednorázové heslo',
        'profile-image' => 'Profilový obrázek',
        'role' => 'Role',
        'role-placeholder' => 'Vyberte roli',
        'title' => 'Nadpis',
        'trash' => 'Koš',
        'update' => 'Aktualizovat',
        'update-and-close' => 'Aktualizovat a zavřít',
        'update-and-create-new' => 'Aktualizovat a vytvořit nového',
        'update-disabled-and-close' => 'Aktualizovat deaktivovaného uživatele a zavřít',
        'update-disabled-user' => 'Aktualizovat deaktivovaného uživatele',
        'update-disabled-user-and-create-new' => 'Aktualizovat deaktivovaného uživatele a vytvořit nového',
        'user-image' => 'Obrázek',
        'users' => 'Uživatelé',
    ],
    'settings' => [
        'update' => 'Aktualizovat',
        'cancel' => 'Zrušit',
        'fieldset-label' => 'Upravit nastavení',
    ],
];
