<?php
    /*
    |--------------------------------------------------------------------------
    | 5 Steps to Contribute a New Twill Localization at Ease
    |--------------------------------------------------------------------------
    | 1. Find the "lang.csv" under "lang" directory.
    | 2. Import the csv file into a blank Google Sheet.
    | 3. Each column is a language, enter the translation for a column. (tips: feel free to freeze rows and columns).
    | 4. Download the Google Sheet as CSV, replace the original "lang/lang.csv" with the new one.
    | 5. Run the command "php artisan twill:lang" to sync all lang files.
    */


return [
    'auth' => [
        'back-to-login' => 'Giriş Dön',
        'choose-password' => 'Şifre Girin',
        'email' => 'E-Posta',
        'forgot-password' => 'Şifrenizi Mi Unuttunuz',
        'login' => 'Giriş Yap',
        'login-title' => 'Giriş Yap',
        'oauth-link-title' => ':provider Hesabınızın Şifresini Yeniden Girin',
        'otp' => 'Tek Seferlik Şifre',
        'password' => 'Şifre',
        'password-confirmation' => 'Şifre Tekrar',
        'reset-password' => 'Şifre Sıfırla',
        'reset-send' => 'Şifre Sıfırlama Bağlantısı Gönder',
        'verify-login' => 'Girişi Doğrula',
    ],
    'buckets' => [
        'intro' => 'Bugün Neyi Öne Çıkarmak Çıkartmak İstersin?',
        'none-available' => 'Mevcut Öğe Yok.',
        'none-featured' => 'Öne Çıkarılmış Öğe Yok',
        'publish' => 'Yayınla',
        'source-title' => 'Kullanılabilir Öğeler',
    ],
    'dashboard' => [
        'all-activity' => 'Tüm Aktiviteler',
        'create-new' => 'Yeni Ekle',
        'empty-message' => 'Henüz Herhangi Bir Aktivite Yok.',
        'my-activity' => 'Aktivitelerim',
        'my-drafts' => 'Taslaklarım',
        'search-placeholder' => 'Heryerde Ara...',
        'statitics' => 'İstatistikler',
        'search' => [
            'loading' => 'Yükleniyor…',
            'no-result' => 'Sonuç Bulunamadı.',
            'last-edit' => 'Son Düzenleme',
        ],
        'activities' => [
            'created' => 'Oluşturma',
            'updated' => 'Güncelle',
            'unpublished' => 'Yayınlanmamış',
            'published' => 'Yayınlanmış',
            'featured' => 'Öne Çıkan',
            'unfeatured' => 'Öne Çıkartma',
            'restored' => 'Kurtarıldı',
            'deleted' => 'Silindi',
        ],
        'activity-row' => [
            'edit' => 'Düzenle',
            'view-permalink' => 'Linki Görüntüle',
            'by' => 'Tarafından',
        ],
        'unknown-author' => 'Bilinmeyen',
    ],
    'dialog' => [
        'cancel' => 'İptal',
        'ok' => 'Tamam',
        'title' => 'Çöp Kutusuna Taşı',
    ],
    'editor' => [
        'cancel' => 'İptal',
        'delete' => 'Sil',
        'done' => 'Tamamlandı',
        'title' => 'İçerik Editörü',
    ],
    'emails' => [
        'all-rights-reserved' => 'Her Hakkı Saklıdır.',
        'hello' => 'Merhaba!',
        'problems' => '":actiontext" Tıklamakta Sorun Yaşıyorsanız, Lütfen [:url](:url) Linki Tarayıcınıza Kopyalayın.',
        'regards' => 'Saygılarımızla,',
    ],
    'fields' => [
        'block-editor' => [
            'add-content' => 'İçerik Ekle',
            'collapse-all' => 'Hepsini Daralt',
            'create-another' => 'Başka Bir Tane Oluştur',
            'delete' => 'Sil',
            'expand-all' => 'Hepsini Genişlet',
            'loading' => 'Yükleniyor',
            'open-in-editor' => 'Editörde Aç',
            'preview' => 'Ön İzleme',
            'add-item' => 'Yeni Ekle',
            'clone-block' => 'Bloğu Kopyala',
        ],
        'browser' => [
            'add-label' => 'Ekle',
            'attach' => 'Veri Ekle',
        ],
        'files' => [
            'add-label' => 'Ekle',
        ],
        'generic' => [
            'switch-language' => 'Dili Değiştir',
        ],
        'map' => [
            'hide' => 'Gizle&Nbsp;Map',
            'show' => 'Göster&Nbsp;Map',
        ],
        'medias' => [
            'btn-label' => 'Resim Ekle',
            'crop' => 'Kırp',
            'crop-edit' => 'Kırpmayı Düzenle',
            'crop-list' => 'Kırp',
            'crop-save' => 'Güncelle',
            'delete' => 'Sil',
            'download' => 'İndir',
            'edit-close' => 'Bilgileri Kapat',
            'edit-info' => 'Bilgileri Düzenle',
            'original-dimensions' => 'Orijinal',
            'alt-text' => 'Alt Metin',
            'caption' => 'Altyazı',
            'video-url' => 'Video Url\'Si (İsteğe Bağlı)',
        ],
    ],
    'filter' => [
        'apply-btn' => 'Uygula',
        'clear-btn' => 'Temizle',
        'search-placeholder' => 'Arama',
        'toggle-label' => 'Filtre',
    ],
    'footer' => [
        'version' => 'Versiyon',
    ],
    'form' => [
        'content' => 'İçerik',
        'dialogs' => [
            'delete' => [
                'confirm' => 'Silmek',
                'confirmation' => 'Bu İşlem Geri Alınamaz? <Br /> Devam Etmek İstediğinize Emin Misiniz?',
                'delete-content' => 'İçeriği Sil',
                'title' => 'İçeriği Sil',
            ],
        ],
        'editor' => 'Editör',
    ],
    'lang-manager' => [
        'published' => 'Şu An',
    ],
    'lang-switcher' => [
        'edit-in' => 'Burada Düzenle',
    ],
    'listing' => [
        'add-new-button' => 'Yeni Ekle',
        'bulk-actions' => 'Toplu Eylemler',
        'bulk-clear' => 'Temizle',
        'columns' => [
            'featured' => 'Öne Çıkan',
            'name' => 'İsim',
            'published' => 'Yayınlanan',
            'show' => 'Göster',
            'thumbnail' => 'Küçük Resim',
        ],
        'dialogs' => [
            'delete' => [
                'confirm' => 'Sil',
                'disclaimer' => 'Bu Öğe Silinemez Sadece Çöp Kutusuna Taşındı.',
                'move-to-trash' => 'Çöp Kutusuna Taşıyın',
                'title' => 'Öğeyi Sil',
            ],
            'destroy' => [
                'confirm' => 'Tamamen Sil',
                'destroy-permanently' => 'Kalıcı Olarak Sil',
                'disclaimer' => 'Bu Öğe Artık Kurtarılamayacaktır.',
                'title' => 'Öğeyi Kalıcı Olarak Sil',
            ],
        ],
        'dropdown' => [
            'delete' => 'Sil',
            'destroy' => 'Tamamen Sil',
            'duplicate' => 'Çoğalt',
            'edit' => 'Düzenle',
            'publish' => 'Yayınla',
            'feature' => 'Öne Çıkar',
            'restore' => 'Kurtar',
            'unfeature' => 'Öne Çıkarma',
            'unpublish' => 'Yayından Kaldır',
        ],
        'filter' => [
            'all-items' => 'Tüm İçerikler',
            'draft' => 'Taslak',
            'mine' => 'Benim Eklediklerim',
            'published' => 'Yayınlanan',
            'trash' => 'Çöp',
        ],
        'languages' => 'Diller',
        'listing-empty-message' => 'Henüz İçerik Eklenmemiş',
        'paginate' => [
            'rows-per-page' => 'Sayfa Başına Gösterilecek İçerik:',
        ],
        'bulk-selected-item' => 'Öğe Seçildi',
        'bulk-selected-items' => 'Öğe Seçildi',
        'reorder' => [
            'success' => ':modelTitle Sıralama Değiştirildi.',
            'error' => 'Bir Hata Meydana Geldi! :modelTitle Sıralama Değiştirilemedi.',
        ],
        'restore' => [
            'success' => ':modelTitle Kurtarıldı!',
            'error' => 'Bir Hata Meydana Geldi! :modelTitle Kurtarılamadı.',
        ],
        'bulk-restore' => [
            'success' => ':modelTitle Kurtarıldı!',
            'error' => 'Bir Hata Meydana Geldi! :modelTitle Kurtarılamadı.',
        ],
        'force-delete' => [
            'success' => ':modelTitle Tamamen Silindi!',
            'error' => 'Bir Hata Meydana Geldi! :modelTitle Tamamen Silinemedi.',
        ],
        'bulk-force-delete' => [
            'success' => ':modelTitle Tamamen Silindi!',
            'error' => 'Bir Hata Meydana Geldi! :modelTitle Tamamen Silinemedi.',
        ],
        'delete' => [
            'success' => ':modelTitle Çöp Kutusuna Taşındı!',
            'error' => 'Bir Hata Meydana Geldi! :modelTitle Çöp Kutusuna Taşınamadı.',
        ],
        'bulk-delete' => [
            'success' => ':modelTitle Çöp Kutusuna Taşındı!',
            'error' => 'Bir Hata Meydana Geldi! :modelTitle Çöp Kutusuna Taşınamadı.',
        ],
        'duplicate' => [
            'success' => ':modelTitle Çoğaltıldı.',
            'error' => 'Bir Hata Meydana Geldi! :modelTitle Çoğaltılamadı.',
        ],
        'publish' => [
            'unpublished' => ':modelTitle Yayından Kaldırıldı.',
            'published' => ':modelTitle Yayındanlandı.',
            'error' => 'Bir Hata Meydana Geldi! :modelTitle Yayınlanamadı.',
        ],
        'featured' => [
            'unfeatured' => ':modelTitle Öne Çıkanlardan Kaldırıldı.',
            'featured' => ':modelTitle Öne Çıkanlara Eklendi.',
            'error' => 'Bir Hata Meydana Geldi! :modelTitle Öne Çıkanlara Eklenemedi.',
        ],
        'bulk-featured' => [
            'unfeatured' => ':modelTitle Öne Çıkanlardan Kaldırıldı.',
            'featured' => ':modelTitle Öne Çıkanlara Eklendi.',
            'error' => 'Bir Hata Meydana Geldi! :modelTitle Öne Çıkanlara Eklenemedi.',
        ],
        'bulk-publish' => [
            'unpublished' => ':modelTitle Yayından Kaldırıldı.',
            'published' => ':modelTitle Yayınlandı.',
            'error' => 'Bir Hata Meydana Geldi! :modelTitle Yayından Kaldırılamadı.',
        ],
    ],
    'main' => [
        'create' => 'Oluştur',
        'draft' => 'Taslak',
        'published' => 'Canlı',
        'title' => 'Başlık',
        'update' => 'Güncelle',
    ],
    'media-library' => [
        'files' => 'Dosyalar',
        'filter-select-label' => 'Etikete İle Filtrele',
        'images' => 'Görseller',
        'insert' => 'Ekle',
        'sidebar' => [
            'alt-text' => 'Alt Metni',
            'caption' => 'Altyazı',
            'clear' => 'Temizle',
            'dimensions' => 'Ölçüler',
            'empty-text' => 'Dosya Seçilmedi',
            'files-selected' => 'Seçilen Dosya',
            'tags' => 'Etiketler',
        ],
        'title' => 'Medya Kütüphanesi',
        'update' => 'Güncelle',
        'unused-filter-label' => 'Sadece Kullanılmayanları Göster',
        'no-tags-found' => 'Maalesef Hiçbir Etiket Bulunamadı.',
        'dialogs' => [
            'delete' => [
                'delete-media-title' => 'Medyayı Sil',
                'delete-media-desc' => 'Bu İşlem Geri Alınamaz? <Br /> Devam Etmek İstediğinize Emin Misiniz?',
                'delete-media-confirm' => 'Sil',
                'title' => 'Emin Misiniz ?',
                'allow-delete-multiple-medias' => 'Bazı Dosyalar Kullanımda Ve Silinemiyor. Diğerlerini Silmek İstiyor Musunuz?',
                'allow-delete-one-media' => 'Bazı Dosyalar Kullanımda Ve Silinemiyor. Diğerlerini Silmek İstiyor Musunuz?',
                'dont-allow-delete-multiple-medias' => 'Bu Dosyalar Kullanımda Olduğu İçin Silinemez.',
                'dont-allow-delete-one-media' => 'Bu Dosya Kullanımda Olduğu İçin Silinemez.',
            ],
            'replace' => [
                'replace-media-title' => 'Değiştir',
                'replace-media-desc' => 'Bu İşlem Geri Alınamaz? <Br /> Devam Etmek İstediğinize Emin Misiniz?',
                'replace-media-confirm' => 'Değiştir',
            ],
        ],
        'types' => [
            'single' => [
                'image' => 'Görsel',
                'video' => 'Video',
                'file' => 'Dosya',
            ],
            'multiple' => [
                'image' => 'Görseller',
                'video' => 'Videolar',
                'file' => 'Dosyalar',
            ],
        ],
    ],
    'modal' => [
        'create' => [
            'button' => 'Ekle',
            'create-another' => 'Ekle Ve Yeni Oluştur',
            'title' => 'Yeni Ekle',
        ],
        'permalink-field' => 'Link',
        'title-field' => 'Başlık',
        'update' => [
            'button' => 'Güncelle',
            'title' => 'Güncelle',
        ],
        'done' => [
            'button' => 'Tamamlandı',
        ],
    ],
    'nav' => [
        'admin' => 'Yönetim Paneli',
        'cms-users' => 'Cms Kullanıcıları',
        'logout' => 'Çıkış Yap',
        'media-library' => 'Medya Kütüphanesi',
        'settings' => 'Genel Ayarlar',
        'close-menu' => 'Menüyü Kapat',
        'open-live-site' => 'Siteyi Görüntüle',
    ],
    'notifications' => [
        'reset' => [
            'action' => 'Şifreyi Sıfırla',
            'content' => 'Şifre Sıfırlama İsteğiniz İçin Sıfırlama Maili Aldınız. Eğer Bu İşlemi Siz Yapmadıysanız Herhangi Bir İşlem Yapmanıza Gerek Yok.',
            'subject' => ':appName | Şifreyi Sıfırla',
        ],
        'welcome' => [
            'action' => 'Şifre Seçin',
            'content' => 'Bu E-Postayı, Sizin İçin :Name Üzerinde Bir Hesap Oluşturulduğu İçin Alıyorsunuz.',
            'title' => 'Hoş Geldiniz',
            'subject' => ':appName | Hoşgeldiniz',
        ],
    ],
    'overlay' => [
        'close' => 'Kapat',
    ],
    'previewer' => [
        'compare-view' => 'Görünümleri Karşılaştır',
        'current-revision' => 'Aktif',
        'editor' => 'Editör',
        'last-edit' => 'Son Düzenleme',
        'past-revision' => 'Geçmiş',
        'restore' => 'Kurtar',
        'revision-history' => 'Revizyon Geçmişi',
        'single-view' => 'Tekli Görünüm',
        'title' => 'Değişiklikleri Önizle',
        'unsaved' => 'Kaydedilmemiş Değişiklikler Önizleniyor',
        'drag-and-drop' => 'İçeriği Sol Gezinme Bölmesinden Sürükleyip Bırakın',
    ],
    'publisher' => [
        'cancel' => 'İptal',
        'current' => 'Aktif',
        'end-date' => 'Bitiş Tarihi',
        'immediate' => 'Şimdi Paylaş',
        'languages' => 'Diller',
        'languages-published' => 'Canlı',
        'last-edit' => 'Son Düzenleme',
        'preview' => 'Değişiklikleri Önizle',
        'publish' => 'Yayınla',
        'publish-close' => 'Yayınla Ve Kapat',
        'publish-new' => 'Yayınla Ve Yeni Oluştur',
        'published-on' => 'Yayınlama',
        'restore-draft' => 'Taslak Olarak Kurtar',
        'restore-draft-close' => 'Taslak Olarak Kurtar Ve Kapat',
        'restore-draft-new' => 'Taslak Olarak Kurtar Ve Yeni Oluştur',
        'restore-live' => 'Yayınlanmış Olarak Kurtar',
        'restore-live-close' => 'Yayınlanmış Olarak Kurtar Ve Kapat',
        'restore-live-new' => 'Yayınlanmış Olarak Kurtar Ve Yeni Oluştur',
        'restore-message' => 'Şu Anda Bu İçeriğin Eski Bir Halini Düzenliyorsunuz (:User Tarafından :Date Tarihinde). Gerekli Değişiklikleri Yapın Ve Yeni Revizyon Olarak Kurtar\'A Tıklayın.',
        'restore-success' => 'Revizyon Kurtarıldı.',
        'revisions' => 'Revizyonlar',
        'save' => 'Taslak Olarak Kaydet',
        'save-close' => 'Taslak Olarak Kaydet Ve Kapat',
        'save-new' => 'Taslak Olarak Kaydet Ve Yeni Oluştur',
        'save-success' => 'İçerik Kaydedildi',
        'start-date' => 'Başlangıç ​​Tarihi',
        'switcher-title' => 'Durum',
        'update' => 'Güncelle',
        'update-close' => 'Güncelle Ve Kapat',
        'update-new' => 'Güncelle Ve Yeni Oluştur',
        'parent-page' => 'Üst Sayfa',
        'review-status' => 'İnceleme Durumu',
        'visibility' => 'Görünürlük',
    ],
    'select' => [
        'empty-text' => 'Üzgünüz, Eşleşen Seçenek Yok.',
    ],
    'uploader' => [
        'dropzone-text' => 'Veya Yeni Dosyaları Buraya Bırakın',
        'upload-btn-label' => 'Yeni Ekle',
    ],
    'user-management' => [
        '2fa' => '2 Faktörlü Kimlik Doğrulama',
        '2fa-description' => 'Lütfen Bu Qr Kodunu Google Authenticator Uyumlu Bir Uygulama İle Tarayın Ve Göndermeden Önce Aşağıya Tek Kullanımlık Şifrenizi Girin. Uyumlu Uygulamaların Listesine <A Href=":Link" Target="_Blank" Rel="Noopener">Buradan</A> Bakın.',
        '2fa-disable' => '2 Faktörlü Kimlik Doğrulamayı Devre Dışı Bırakmak İçin Tek Seferlik Şifrenizi Girin',
        'active' => 'Aktif',
        'cancel' => 'İptal',
        'content-fieldset-label' => 'Kullanıcı Ayarları',
        'description' => 'Açıklama',
        'disabled' => 'Pasif',
        'edit-modal-title' => 'Düzenleme Kullanıcı Adı',
        'email' => 'E-Posta',
        'enable-user' => 'Kullanıcıyı Etkinleştir',
        'enable-user-and-close' => 'Kullanıcıyı Etkinleştir Ve Kapat',
        'enable-user-and-create-new' => 'Kullanıcıyı Etkinleştir Ve Yeni Oluştur',
        'enabled' => 'Etkinleştirilmiş',
        'language' => 'Dil',
        'language-placeholder' => 'Bir Dil Seçin',
        'name' => 'İsim',
        'otp' => 'Tek Seferlik Şifre',
        'profile-image' => 'Profil Fotoğrafı',
        'role' => 'Rol',
        'role-placeholder' => 'Bir Rol Seçin',
        'title' => 'Başlık',
        'trash' => 'Çöp',
        'update' => 'Güncelle',
        'update-and-close' => 'Güncelle Ve Kapat',
        'update-and-create-new' => 'Güncelle Ve Yeni Oluştur',
        'update-disabled-and-close' => 'Pasife Al Ve Kapat',
        'update-disabled-user' => 'Pasif Kullanıcıyı Düzenle',
        'update-disabled-user-and-create-new' => 'Pasif Kullanıcıyı Düzenle Ve Yeni Oluştur',
        'user-image' => 'Görsel',
        'users' => 'Kullanıcılar',
    ],
    'settings' => [
        'update' => 'Güncelle',
        'cancel' => 'İptal',
        'fieldset-label' => 'Ayarları Düzenle',
    ],
];
