<?php
    /*
    |--------------------------------------------------------------------------
    | 5 Steps to Contribute a New Twill Localization at Ease
    |--------------------------------------------------------------------------
    | 1. Find the "lang.csv" under "lang" directory.
    | 2. Import the csv file into a blank Google Sheet.
    | 3. Each column is a language, enter the translation for a column. (tips: feel free to freeze rows and columns).
    | 4. Download the Google Sheet as CSV, replace the original "lang/lang.csv" with the new one.
    | 5. Run the command "php artisan twill:lang" to sync all lang files.
    */


return [
    'auth' => [
        'back-to-login' => 'Повернутися до авторизації',
        'choose-password' => 'Введіть пароль',
        'email' => 'Email',
        'forgot-password' => 'Відновити пароль',
        'login' => 'Увійти',
        'login-title' => 'Увійти',
        'oauth-link-title' => 'Повторно введіть пароль для посилання :provider до свого облікового запису',
        'otp' => 'Одноразовий пароль',
        'password' => 'Пароль',
        'password-confirmation' => 'Повторіть пароль',
        'reset-password' => 'Скинути пароль',
        'reset-send' => 'Надіслати посилання на відновлення пароля',
        'verify-login' => 'Перевірте логін',
    ],
    'buckets' => [
        'intro' => 'Що ви хочете показати сьогодні?',
        'none-available' => 'Немає доступних варіантів.',
        'none-featured' => 'Немає виділених елементів',
        'publish' => 'Публікація',
        'source-title' => 'Доступні варіанти',
    ],
    'dashboard' => [
        'all-activity' => 'Вся активність',
        'create-new' => 'Створити',
        'empty-message' => 'У вас ще немає активності.',
        'my-activity' => 'Моя активність',
        'my-drafts' => 'Мої чернетки',
        'search-placeholder' => 'Пошук ...',
        'statitics' => 'Статистика',
        'search' => [
            'loading' => 'Завантаження…',
            'no-result' => 'Нічого не знайдено.',
            'last-edit' => 'Останні зміни',
        ],
        'activities' => [
            'created' => 'Створено',
            'updated' => 'Оновлено',
            'unpublished' => 'Неопублікований',
            'published' => 'Опубліковано',
            'featured' => 'Рекомендовані',
            'unfeatured' => 'Не рекомендовані',
            'restored' => 'відновлений',
            'deleted' => 'відновлений',
        ],
        'activity-row' => [
            'edit' => 'Редагувати',
            'view-permalink' => 'Переглянути Постійне посилання',
        ],
        'unknown-author' => 'Невідомий',
    ],
    'dialog' => [
        'cancel' => 'Скасувати',
        'ok' => 'ОК',
        'title' => 'Надіслати в кошик',
    ],
    'editor' => [
        'cancel' => 'Скасувати',
        'delete' => 'Видалити',
        'done' => 'Готово',
        'title' => 'Редактор вмісту',
    ],
    'emails' => [
        'all-rights-reserved' => 'Всі права захищені.',
        'hello' => 'Привіт!',
        'problems' => 'Якщо у вас не натискається кнопка ":actionText", скопіюйте посилання, і вставте в браузер: [:url](:url)',
        'regards' => 'З повагою,',
    ],
    'fields' => [
        'block-editor' => [
            'add-content' => 'Додати вміст',
            'collapse-all' => 'Розкрити всі',
            'create-another' => 'Створити інший',
            'delete' => 'Видалити',
            'expand-all' => 'Приховати',
            'loading' => 'Завантаження',
            'open-in-editor' => 'Відкрити в редакторі',
            'preview' => 'Попередній перегляд',
            'add-item' => 'Додати елемент',
        ],
        'browser' => [
            'add-label' => 'Додати',
            'attach' => 'Прикріпити',
        ],
        'files' => [
            'add-label' => 'Додати',
        ],
        'generic' => [
            'switch-language' => 'Переключити мову',
        ],
        'map' => [
            'hide' => 'Приховати&nbsp;карту',
            'show' => 'Показати&nbsp;карту',
        ],
        'medias' => [
            'btn-label' => 'Прикріпити зображення',
            'crop' => 'Обрізати',
            'crop-edit' => 'Змінити кадрування картинки',
            'crop-list' => 'Кадрувати',
            'crop-save' => 'Оновити',
            'delete' => 'Видалити',
            'download' => 'Завантажити',
            'edit-close' => 'Приховати опис',
            'edit-info' => 'Змінити опис',
            'original-dimensions' => 'Оригінал',
            'alt-text' => 'Текст Alt',
            'caption' => 'Заголовок',
            'video-url' => 'Відео URL (необов\'язково)',
        ],
    ],
    'filter' => [
        'apply-btn' => 'Застосувати',
        'clear-btn' => 'Очистити',
        'search-placeholder' => 'Пошук',
        'toggle-label' => 'Фільтр',
    ],
    'footer' => [
        'version' => 'Версія',
    ],
    'form' => [
        'content' => 'Вміст',
        'dialogs' => [
            'delete' => [
                'confirm' => 'Видалити',
                'confirmation' => 'Ви впевнені?</br> Цю дію не можна скасувати.',
                'delete-content' => 'Видалити контент',
                'title' => 'Видалити контент',
            ],
        ],
        'editor' => 'Редактор',
    ],
    'lang-manager' => [
        'published' => 'Опублікований',
    ],
    'lang-switcher' => [
        'edit-in' => 'Редагувати',
    ],
    'listing' => [
        'add-new-button' => 'Додати',
        'bulk-actions' => 'Масові дії',
        'bulk-clear' => 'Очистити',
        'columns' => [
            'featured' => 'Популярний',
            'name' => 'Назва',
            'published' => 'Опубліковано',
            'show' => 'Показати',
            'thumbnail' => 'Прев\'ю',
        ],
        'dialogs' => [
            'delete' => [
                'confirm' => 'Видалити',
                'disclaimer' => 'Елемент не було знищено, він перенесений в кошик.',
                'move-to-trash' => 'Перенести в кошик',
                'title' => 'Видалити елемент',
            ],
            'destroy' => [
                'confirm' => 'Знищити',
                'destroy-permanently' => 'Знищити назавжди',
                'disclaimer' => 'Елемент не можна буде відновити.',
                'title' => 'Знищити елемент',
            ],
        ],
        'dropdown' => [
            'delete' => 'Видалити',
            'destroy' => 'Знищити',
            'duplicate' => 'Дублювати',
            'edit' => 'Змінити',
            'publish' => 'Опублікувати',
            'feature' => 'Виділити',
            'restore' => 'Відновити',
            'unfeature' => 'Прибрати з виділених',
            'unpublish' => 'Скасувати публікацію',
        ],
        'filter' => [
            'all-items' => 'Всі',
            'draft' => 'Чернетки',
            'mine' => 'Мої',
            'published' => 'Опубліковані',
            'trash' => 'Видалені',
        ],
        'languages' => 'Мови',
        'listing-empty-message' => 'Нічого немає.',
        'paginate' => [
            'rows-per-page' => 'Рядків на сторінці:',
        ],
        'bulk-selected-item' => 'вибраний елемент',
        'bulk-selected-items' => 'вибрані елементи',
        'reorder' => [
            'success' => ':modelTitle порядок змінено!',
            'error' => ':modelTitle порядок не змінено. Щось сталося не так!',
        ],
        'restore' => [
            'success' => ':modelTitle відновлено!',
            'error' => ':modelTitle не були відновлено. Щось сталося не так!',
        ],
        'bulk-restore' => [
            'success' => ':modelTitle елементи відновлено!',
            'error' => ':modelTitle елементи не були відновлені. Щось сталося не так!',
        ],
        'force-delete' => [
            'success' => ':modelTitle знищено!',
            'error' => ':modelTitle не були знищено. Щось сталося не так!',
        ],
        'bulk-force-delete' => [
            'success' => ':modelTitle елементи знищені!',
            'error' => ':modelTitle елементи не були знищені. Щось сталося не так!',
        ],
        'delete' => [
            'success' => ':modelTitle переміщено в кошик!',
            'error' => ':modelTitle не переміщено в кошик. Щось сталося не так!',
        ],
        'bulk-delete' => [
            'success' => ':modelTitle елементи переміщені в кошик!',
            'error' => ':modelTitle елементи не були переміщені в кошик. Щось сталося не так!',
        ],
        'duplicate' => [
            'success' => ':modelTitle дубльовано успішно!',
            'error' => ':modelTitle не був дубльований. Щось сталося не так!',
        ],
        'publish' => [
            'unpublished' => ':modelTitle неопубліковано!',
            'published' => ':modelTitle опубліковано!',
            'error' => ':modelTitle не було опубліковано. Щось сталося не так!',
        ],
        'featured' => [
            'unfeatured' => ':modelTitle не рекомендовані!',
            'featured' => ':modelTitle рекомендовані!',
            'error' => ':modelTitle не були показани. Щось сталося не так!',
        ],
        'bulk-featured' => [
            'unfeatured' => ':modelTitle елементи не рекомендовані!',
            'featured' => ':modelTitle елементи рекомендовані!',
            'error' => ':modelTitle елементи не були представлені. Щось сталося не так!',
        ],
    ],
    'main' => [
        'create' => 'Створити',
        'draft' => 'Чернетка',
        'published' => 'Опублікований',
        'title' => 'Заголовок',
        'update' => 'Оновити',
    ],
    'media-library' => [
        'files' => 'Файли',
        'filter-select-label' => 'Фільтрувати по тегу',
        'images' => 'Зображення',
        'insert' => 'Вставити',
        'sidebar' => [
            'alt-text' => 'Alt',
            'caption' => 'Заголовок',
            'clear' => 'Зняти виділення',
            'dimensions' => 'Рівні',
            'empty-text' => 'Файли не виділені',
            'files-selected' => 'файлів виділено',
            'tags' => 'Теги',
        ],
        'title' => 'Медіа бібліотека',
        'update' => 'Оновити',
        'unused-filter-label' => 'Показати тільки невикористовувані',
        'no-tags-found' => 'На жаль, не знайдено жодних тегів.',
        'dialogs' => [
            'delete' => [
                'delete-media-title' => 'Видалити медіа',
                'delete-media-desc' => 'Ви впевнені? <br/> Ця зміна не може бути скасована.',
                'delete-media-confirm' => 'Видалити',
                'title' => 'Ви впевнені?',
                'allow-delete-multiple-medias' => 'Деякі файли використовуються і не можуть бути видалені. Ви хочете видалити інші?',
                'allow-delete-one-media' => 'Цей файл використовується і не може бути видалений. Ви хочете видалити інші?',
                'dont-allow-delete-multiple-medias' => 'Ці файли використовуються і не можуть бути видалені.',
                'dont-allow-delete-one-media' => 'Цей файл використовується і не може бути видалений.',
            ],
            'replace' => [
                'replace-media-title' => 'Замінити медіа',
                'replace-media-desc' => 'Ви впевнені? <br/> Ця зміна не може бути скасована.',
                'replace-media-confirm' => 'Замінити',
            ],
        ],
        'types' => [
            'single' => [
                'image' => 'Зображення',
                'video' => 'Відео',
                'file' => 'файл',
            ],
            'multiple' => [
                'image' => 'Зображення',
                'video' => 'Відео',
                'file' => 'файли',
            ],
        ],
    ],
    'modal' => [
        'create' => [
            'button' => 'Створити',
            'create-another' => 'Створити і додати інший',
            'title' => 'Додати новий',
        ],
        'permalink-field' => 'Постійне посилання',
        'title-field' => 'Заголовок',
        'update' => [
            'button' => 'Оновити',
            'title' => 'Оновити',
        ],
        'done' => [
            'button' => 'Готово',
        ],
    ],
    'nav' => [
        'admin' => 'Адміністратор',
        'cms-users' => 'Користувачі CMS',
        'logout' => 'Вийти',
        'media-library' => 'Медіа бібліотека',
        'settings' => 'Налаштування',
        'close-menu' => 'Закрити меню',
    ],
    'notifications' => [
        'reset' => [
            'action' => 'Скинути пароль',
            'content' => 'Ви отримали цей лист, тому що ми отримали запит на скидання пароля. Якщо ви не запитували скидання пароля, ніяких подальших дій не потрібно.',
            'subject' => ':appName | Скинути пароль',
        ],
        'welcome' => [
            'action' => 'Оберіть свій власний пароль',
            'content' => 'Ви отримали цей лист, тому що для вас була створений обліковий запис :name.',
            'title' => 'Ласкаво просимо',
            'subject' => ':appName | Ласкаво просимо',
        ],
    ],
    'overlay' => [
        'close' => 'Закрити',
    ],
    'previewer' => [
        'compare-view' => 'Порівняти',
        'current-revision' => 'Поточний',
        'editor' => 'Редактор',
        'last-edit' => 'Остання редакція',
        'past-revision' => 'Минула',
        'restore' => 'Відновити',
        'revision-history' => 'Історія змін',
        'single-view' => 'Single view',
        'title' => 'Передперегляд змін',
        'unsaved' => 'Попередній перегляд зі своїми незбереженими змінами',
        'drag-and-drop' => 'Перетягніть вміст з лівої навігації',
    ],
    'publisher' => [
        'cancel' => 'Скасувати',
        'current' => 'Поточний',
        'end-date' => 'Закінчення активності',
        'immediate' => 'Негайно',
        'languages' => 'Мови',
        'languages-published' => 'Опубліковано',
        'last-edit' => 'Остання зміна',
        'preview' => 'Передперегляд змін',
        'publish' => 'Опублікувати',
        'publish-close' => 'Опублікувати і закрити',
        'publish-new' => 'Опублікувати і створити ще',
        'published-on' => 'Опубліковано',
        'restore-draft' => 'Відновити як чернетку',
        'restore-draft-close' => 'відновити як чернетку та закрити',
        'restore-draft-new' => 'Відновити як чернетку та створити новий',
        'restore-live' => 'Відновити, як опублікований',
        'restore-live-close' => 'Відновити, як опублікований та закрити',
        'restore-live-new' => 'Відновити, як опублікований та створити новий',
        'restore-message' => 'Ви в даний час редагуєте старший перегляд цього вмісту (збережено :user на :date). Внесіть зміни, якщо потрібно, і натисніть Відновити, щоб зберегти нову ревізію.',
        'restore-success' => 'Відновлено.',
        'revisions' => 'Ревізії',
        'save' => 'Зберегти як чернетку',
        'save-close' => 'Зберегти як чернетку і закрити',
        'save-new' => 'Зберегти як чернетку і створити ще',
        'save-success' => 'Контент збережений. Все добре!',
        'start-date' => 'Початок активності',
        'switcher-title' => 'Статус',
        'update' => 'Оновити',
        'update-close' => 'Оновити і закрити',
        'update-new' => 'Оновити і створити ще',
        'parent-page' => 'Батьківська сторінка',
        'review-status' => 'Статус огляду',
        'visibility' => 'Видимість',
    ],
    'select' => [
        'empty-text' => 'Немає відповідних параметрів.',
    ],
    'uploader' => [
        'dropzone-text' => 'або перетягніть сюди файли.',
        'upload-btn-label' => 'Завантажте',
    ],
    'user-management' => [
        '2fa' => '2-фактороная аутентифікація',
        '2fa-description' => 'Будь ласка, скануйте цей QR-код за допомогою сумісного додатку Google Authenticator та введіть свій пароль нижче, перш ніж подавати. Перегляньте список сумісних додатків <a href=":link" target="_blank" rel="noopener">тут</a>.',
        '2fa-disable' => 'Введіть пароль один раз, щоб вимкнути 2-факторну аутентифікацію',
        'active' => 'Активні',
        'cancel' => 'Скасувати',
        'content-fieldset-label' => 'Налаштування користувача',
        'description' => 'Опис',
        'disabled' => 'Відключені',
        'edit-modal-title' => 'Змінити ім\'я',
        'email' => 'Email',
        'enable-user' => 'Включити користувача',
        'enable-user-and-close' => 'Включити користувача і закрити',
        'enable-user-and-create-new' => 'Включити користувача і створити ще',
        'enabled' => 'Включені',
        'language' => 'Мова',
        'language-placeholder' => 'Оберіть мову',
        'name' => 'Ім\'я',
        'otp' => 'Одноразовий пароль',
        'profile-image' => 'Зображення профілю',
        'role' => 'Роль',
        'role-placeholder' => 'Оберіть роль',
        'title' => 'Заголовок',
        'trash' => 'У кошику',
        'update' => 'Оновити',
        'update-and-close' => 'Оновити і закрити',
        'update-and-create-new' => 'Оновити і створити ще',
        'update-disabled-and-close' => 'Оновити відключеного користувача і закрити',
        'update-disabled-user' => 'Оновити відключеного користувача',
        'update-disabled-user-and-create-new' => 'Оновити відключеного користувача і створити ще',
        'user-image' => 'Зображення',
        'users' => 'Користувачі',
    ],
    'settings' => [
        'update' => 'Оновити',
        'cancel' => 'Скасувати',
        'fieldset-label' => 'Редагувати налаштування',
    ],
];
